#
# spec file for package perl-Data-Util
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Data-Util
Name:           perl-Data-Util
Version:        0.67
Release:        1.13
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Selection of utilities for data and data types
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/S/SY/SYOHEX/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Devel::PPPort) >= 3.19
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.59
BuildRequires:  perl(ExtUtils::ParseXS) >= 3.18
BuildRequires:  perl(Hash::Util::FieldHash::Compat)
BuildRequires:  perl(Module::Build) >= 0.400500
BuildRequires:  perl(Module::Build::XSUtil) >= 0.03
BuildRequires:  perl(Scope::Guard)
BuildRequires:  perl(Test::Exception) >= 0.270000
%{perl_requires}

%description
This module provides utility functions for data and data types, including
functions for subroutines and symbol table hashes (stashes).

This module makes for a pure Perl and XS implementation.

However, if you want to use the full capacity of it, we recommend you to
opt for the XS backend.

There are many benchmarks in the _DIST-DIR/benchmark/_ directory.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Build.PL installdirs=vendor optimize="%{optflags}"
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes example minil.toml README.md
%license LICENSE

%changelog
* Thu Mar 17 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.67
  see /usr/share/doc/packages/perl-Data-Util/Changes
  0.67 2022-03-16T04:28:19Z
  - fix is_integer on usequadmath Perl
* Thu Apr  6 2017 coolo@suse.com
- updated to 0.66
  see /usr/share/doc/packages/perl-Data-Util/Changes
  0.66 2017-04-05T17:09:54Z
  - Fix tests of @INC issue on newer Perl
* Tue Aug  2 2016 coolo@suse.com
- updated to 0.65
  see /usr/share/doc/packages/perl-Data-Util/Changes
  0.65 2016-08-01T13:12:55Z
  - Drop Perl 5.8 for maintenance
  - Fix pure perl installation
* Sun Jul 24 2016 coolo@suse.com
- updated to 0.64
  see /usr/share/doc/packages/perl-Data-Util/Changes
  0.64 2016-07-23T15:13:01Z
  - Fix on perl 5.22.x or higher versions
  - Minilla migrate
- remove upstream perl522.patch
* Thu Aug 27 2015 hsk@imb-jena.de
- added perl522.patch: patch from rt.cpan.org, #99097, to get
  module built with perl-5.22
* Fri Mar  7 2014 coolo@suse.com
- updated to 0.63
  - Fix a crash on perl 5.19.x (tokuhirom)
* Tue Jun  4 2013 coolo@suse.com
- updated to 0.62
  - Fix a crash on perl 5.17.x (tokuhirom)
  - Fix usage of get_code_ref() in SYNOPSIS (thanks to @toku_bass)
  - No feature changes. Just upgraded Module::Install.
* Fri Nov 18 2011 coolo@suse.com
- update to 0.59
  * Re-packaging with better dependencies and latest M::I
* Thu Jul 14 2011 coolo@novell.com
- updated to 0.58
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Oct 20 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- fixed deps
- added examples to doc
* Wed Sep 15 2010 lars@linux-schulserver.de
- update to 0.58:
  + Use GvCV_set() for newer perls
- enabled tests again
* Sat Apr 10 2010 lars@linux-schulserver.de
- initial version 0.56
- skipped make test temporary as this currently breaks the build
